## GimpColorDisplay

GimpColorDisplay — Pluggable GIMP display color correction modules.

## Synopsis

                GimpColorDisplay;
    GimpColorDisplay* gimp_color_display_new    (GType display_type);
    GimpColorDisplay* gimp_color_display_clone  (GimpColorDisplay *display);
    void        gimp_color_display_set_enabled  (GimpColorDisplay *display,
                                                 gboolean enabled);
    gboolean    gimp_color_display_get_enabled  (GimpColorDisplay *display);
    void        gimp_color_display_convert      (GimpColorDisplay *display,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint bpp,
                                                 gint bpl);
    void        gimp_color_display_load_state   (GimpColorDisplay *display,
                                                 GimpParasite *state);
    GimpParasite* gimp_color_display_save_state (GimpColorDisplay *display);
    GtkWidget*  gimp_color_display_configure    (GimpColorDisplay *display);
    void        gimp_color_display_configure_reset
                                                (GimpColorDisplay *display);
    void        gimp_color_display_changed      (GimpColorDisplay *display);

## Object Hierarchy

      GObject
       +----GimpColorDisplay

## Implemented Interfaces

GimpColorDisplay implements GimpConfigInterface.

## Properties

      "enabled"              gboolean              : Read / Write / Construct

## Signals

    "changed"   void        user_function      (GimpColorDisplay *gimpcolordisplay,
                                                gpointer          user_data)             : Run first

## Description

Functions and definitions for creating pluggable GIMP display color correction modules.

## Details

### GimpColorDisplay

    typedef struct _GimpColorDisplay GimpColorDisplay;

### gimp_color_display_new ()

    GimpColorDisplay* gimp_color_display_new    (GType display_type);

`display_type` : |
Returns : |

### gimp_color_display_clone ()

    GimpColorDisplay* gimp_color_display_clone  (GimpColorDisplay *display);

`display` : |
Returns : |

### gimp_color_display_set_enabled ()

    void        gimp_color_display_set_enabled  (GimpColorDisplay *display,
                                                 gboolean enabled);

`display` : |
`enabled` : |

### gimp_color_display_get_enabled ()

    gboolean    gimp_color_display_get_enabled  (GimpColorDisplay *display);

`display` : |
Returns : |

### gimp_color_display_convert ()

    void        gimp_color_display_convert      (GimpColorDisplay *display,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint bpp,
                                                 gint bpl);

`display` : |
`buf` : |
`width` : |
`height` : |
`bpp` : |
`bpl` : |

### gimp_color_display_load_state ()

    void        gimp_color_display_load_state   (GimpColorDisplay *display,
                                                 GimpParasite *state);

`display` : |
`state` : |

### gimp_color_display_save_state ()

    GimpParasite* gimp_color_display_save_state (GimpColorDisplay *display);

`display` : |
Returns : |

### gimp_color_display_configure ()

    GtkWidget*  gimp_color_display_configure    (GimpColorDisplay *display);

`display` : |
Returns : |

### gimp_color_display_configure_reset ()

    void        gimp_color_display_configure_reset
                                                (GimpColorDisplay *display);

`display` : |

### gimp_color_display_changed ()

    void        gimp_color_display_changed      (GimpColorDisplay *display);

`display` : |

## Property Details

### The "`enabled`" property

      "enabled"              gboolean              : Read / Write / Construct

Default value: TRUE

## Signal Details

### The "changed" signal

    void        user_function                  (GimpColorDisplay *gimpcolordisplay,
                                                gpointer          user_data)             : Run first

`gimpcolordisplay` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

## See Also

GModule

GTypeModule

libgimp-gimpmodule